package com.bocloud.nms.model.veeam.job;
public class JobModel {

    private String id;//作业id
    private String name;//作业名称
    private String description;//描述
    private String type;//类型
    private Boolean isDisabled;//如果为true，则作业被禁用。
    private Boolean isHighPriority;//如果为true，则该作业在获取备份基础架构资源方面具有高优先级。
    private BackupJobVirtualMachinesModel virtualMachines;
    private BackupJobStorageModel storage;
    private BackupJobGuestProcessingModel guestProcessing;
    private BackupScheduleModel schedule;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getIsDisabled() {
        return isDisabled;
    }

    public void setIsDisabled(Boolean disabled) {
        isDisabled = disabled;
    }

    public Boolean getIsHighPriority() {
        return isHighPriority;
    }

    public void setIsHighPriority(Boolean highPriority) {
        isHighPriority = highPriority;
    }

    public BackupJobVirtualMachinesModel getVirtualMachines() {
        return virtualMachines;
    }

    public void setVirtualMachines(BackupJobVirtualMachinesModel virtualMachines) {
        this.virtualMachines = virtualMachines;
    }

    public BackupJobStorageModel getStorage() {
        return storage;
    }

    public void setStorage(BackupJobStorageModel storage) {
        this.storage = storage;
    }

    public BackupJobGuestProcessingModel getGuestProcessing() {
        return guestProcessing;
    }

    public void setGuestProcessing(BackupJobGuestProcessingModel guestProcessing) {
        this.guestProcessing = guestProcessing;
    }

    public BackupScheduleModel getSchedule() {
        return schedule;
    }

    public void setSchedule(BackupScheduleModel schedule) {
        this.schedule = schedule;
    }

    @Override public String toString() {
        return "JobModel{" + "id='" + id + '\'' + ", name='" + name + '\'' + ", description='" + description + '\''
            + ", type='" + type + '\'' + ", isDisabled=" + isDisabled + ", isHighPriority=" + isHighPriority
            + ", virtualMachines=" + virtualMachines + ", storage=" + storage + ", guestProcessing=" + guestProcessing
            + ", schedule=" + schedule + '}';
    }
}
